Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PreDestroyApplicationEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.PreDestroyApplicationEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PreDestroyApplicationEvent

extends SystemEvent

This event must be published by the runtime before the factories associated with this `Application` are released.

This event is useful for listeners that need to perform custom shutdown processing without having to rely on `ServletContextListener`s which will be invoked after all of the application artifacts have been removed.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PreDestroyApplicationEvent(Application application)` Constructs a new `PreDestroyApplicationEvent` for this application.

Method Summary
`Application` | `getApplication()` The source `Application` that sent this event.

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreDestroyApplicationEvent

    public PreDestroyApplicationEvent(Application application)

  Constructs a new `PreDestroyApplicationEvent` for this application.

  Parameters:
    `application` - the application that has been configured
  Since:
    2.0

Method Detail

### getApplication

    public Application getApplication()

  The source `Application` that sent this event.

  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.